## ros-indigo-robot-upstart 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robot_upstart)

find_package(catkin REQUIRED COMPONENTS roslint)

catkin_package()
catkin_python_setup()

file(GLOB SCRIPTS scripts/*)
install(PROGRAMS ${SCRIPTS} DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY templates DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

roslint_python()

if (CATKIN_ENABLE_TESTING)
  roslint_add_test()
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-indigo-robot-upstart (0.1.3-0trusty) trusty; urgency=high

  * Updated install script to allow adding multiple launch files to a job at once
  * Fix leftover {user} tokens in template.
  * Formatting changes for new pep8.
  * Contributors: Jonathan Jekir, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 30 Nov 2015 05:00:00 -0000

ros-indigo-robot-upstart (0.1.2-0trusty) trusty; urgency=high

  * Add some basic install/uninstall tests.
  * Add uninstall job method and script.
  * Remove out of date README content, now forwards to ROS Wiki and generated documentation.
  * Add a documentation section about permissions
  * Contributors: Gaël Ecorchard, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 13 Mar 2015 04:00:00 -0000

ros-indigo-robot-upstart (0.1.1-0trusty) trusty; urgency=high

  * Python Rewrite
  * The startup event is too early for ROS to start, use local-filesystems instead.
  * Remove bash versions of the install and uninstall utilities.
  * Add support for supplying the --wait flag to roslaunch.
  * Add Sphinx documentation.
    To get the argparse docs required moving most of the install
    script to a module, which probably should have been done anyway.
  * Add a new-implementation install script, refactor Provider to be a class rather than function.
  * Add roslint.
  * Initial implementation of Python job generator.
  * Port templated files to use empy.
    This gets rid of the bespoke templating system that was so bad. Also
    notable here is adding a --root flag to install somewhere other than
    the actual root. This needs to be further fleshed out, for example
    by not reinvoking with sudo when installing to non-root location.
  * use LANG=C for ifconfig
  * add argument to specify log directory
  * Contributors: Eisoku Kuroiwa, Mike Purvis, ipa-mig

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-indigo-robot-upstart (0.0.6-0trusty) trusty; urgency=high

  * Add capability to also generate amalgamated descriptions, similar to launch files.
  * Update package.xml
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Feb 2014 05:00:00 -0000

ros-indigo-robot-upstart (0.0.5-0trusty) trusty; urgency=high

  * Better console outputs.
  * Remove debug output from install script.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 13 Sep 2013 04:00:00 -0000

ros-indigo-robot-upstart (0.0.4-0trusty) trusty; urgency=high

  * Provide --augment option, to add files to a job without creating a new one.
  * Explicitly depend on daemontools.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-indigo-robot-upstart (0.0.3-0trusty) trusty; urgency=high

  * Supply ROS_HOME explicitly in start script.
  * Remove spurious comment from uninstall script.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-indigo-robot-upstart (0.0.2-0trusty) trusty; urgency=high

  * Eliminate rosrun from the make process.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-indigo-robot-upstart (0.0.1-0trusty) trusty; urgency=high

  * Generalized robot upstart scripts based on turtlebot_bringup
  * Includes install and uninstall scripts

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-robot-upstart
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslint, ros-indigo-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-robot-upstart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemontools, ros-indigo-roslaunch, ros-indigo-xacro
Description: The robot_upstart package provides scripts which may be used to install and uninstall Ubuntu Linux upstart jobs which launch groups of roslaunch files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-robot-upstart//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
